Plugin not BP compatible despite marketing

After installing and activating I get this message: The Invite plugin is only compatible with WordPress Multisite. However your site says it works with Buddypress 1.5.1